Bug 201061 - Review Request: iserverd - Groupware ICQ server clone
Review Request: iserverd - Groupware ICQ server clone
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Package Reviews List
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2006-08-02 11:56 EDT by Andy Shevchenko
Modified: 2008-02-22 20:47 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-22 20:47:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andy Shevchenko 2006-08-02 11:56:23 EDT
Spec URL: ftp://andriy.asplinux.com.ua/pub/people/andy/extras/IServerd.spec
SRPM URL: ftp://andriy.asplinux.com.ua/pub/people/andy/extras/IServerd-2.4.14-1.src.rpm
Description:
IServerd is a Groupware ICQ server clone.
This program and the author are in no way affiliated with Mirabilis (AOL).
This program is designed as unix Groupware ICQ server since there is no
Groupware ICQ server on a unix box. No reverse engineering or decompilation
of any Mirabilis code took place to make this program.
Comment 1 Andy Shevchenko 2006-08-03 07:42:32 EDT
Updated version here: 
ftp://andriy.asplinux.com.ua/pub/people/andy/extras/IServerd-2.4.14-2.src.rpm

* Thu Aug 03 2006 Andy Shevchenko <andriy@asplinux.com.ua> 2.4.14-2
- use full URL for sources
Comment 2 Jason Tibbitts 2006-08-13 15:38:18 EDT
I cannot fetch the spec from the above URL.
Comment 3 Andy Shevchenko 2006-08-14 03:42:17 EDT
Sorry, wrong permissons. Now I've fixed their.
Comment 4 Andy Shevchenko 2006-08-31 05:48:56 EDT
TODO: use fedora-usermgmt for user creation.
Comment 5 Andy Shevchenko 2006-10-11 09:02:31 EDT
* Wed Oct 11 2006 Andy Shevchenko <andy@smile.org.ua> 2.4.14-3.0
- satisfy rpmlint claim:
  - disable service by default
  - remove init scripts from the configuration directory
- translate README.sysconfig.ru to English

Updated version here:
ftp://andriy.asplinux.com.ua/pub/people/andy/extras/IServerd-2.4.14-3.0.src.rpm
Comment 7 Jason Tibbitts 2007-07-28 11:11:28 EDT
This is terribly old; I don't know why nobody has even commented.

I tried to build, but had no luck.  It looks to me like the code is not 64-bit
clean:

database/contacts_db.cpp: In function 'int db_contact_lookup(long unsigned int,
int, long unsigned int**)':
database/contacts_db.cpp:255: error: cast from 'long unsigned int*' to 'unsigned
int' loses precision
database/contacts_db.cpp:255: warning: format '%d' expects type 'int', but
argument 2 has type 'long unsigned int'
make: *** [database/contacts_db.o] Error 1
make: *** Waiting for unfinished jobs....
Comment 8 Andy Shevchenko 2007-07-30 03:17:29 EDT
Please, try the following version:
ftp://toaster.asplinux.com.ua/pub/people/andy/extras/IServerd-2.4.14-3.1.src.rpm
Comment 9 Jason Tibbitts 2007-08-19 13:26:39 EDT
This still fails to build for me:

config/actions/lex.yy.o: In function `input':
/builddir/build/BUILD/IServerd-2.4.14/lex.yy.c:1739: undefined reference to `yywrap'
config/actions/lex.yy.o: In function `yylex':
/builddir/build/BUILD/IServerd-2.4.14/lex.yy.c:1390: undefined reference to `yywrap'
collect2: ld returned 1 exit status
make: *** [bin/iserverd] Error 1

If you don't have a mock setup, you can still make sure your packages build by
doing scratch builds with koji:

koji build --scratch dist-f8 whatever.src.rpm
Comment 11 Jason Tibbitts 2007-09-05 23:21:04 EDT
OK, this does indeed build fine.  rpmlint spews a tonne of messages, but many of
them are non-standard-uid or non-standard-gid errors, which are acceptable in
this case as the daemon runs under a special user.  What remains:

E: iserverd non-readable /etc/iserverd/iserv.conf 0600
E: iserverd non-readable /etc/iserverd/v7_proto.conf 0600
E: iserverd non-readable /etc/iserverd/actions.conf 0600
E: iserverd non-readable /etc/iserverd/v3_proto.conf 0600
E: iserverd non-readable /etc/iserverd/v5_proto.conf 0600
E: iserverd non-readable /etc/iserverd/aim_proto.conf 0600
  Obviously these are protected against reads for security reasons.

E: iserverd executable-marked-as-config-file /etc/iserverd/iserverd.sh
E: iserverd executable-marked-as-config-file /etc/iserverd/db/icquser
E: iserverd executable-marked-as-config-file /etc/iserverd/iserverd.sh.asp
  I'm not sure what these are.  Shell scripts can be config files 
  (like /etc/rc.local) so it's possible that this is OK.

E: iserverd non-standard-dir-perm /var/run/iserverd 0770
  This should be OK.

W: iserverd file-not-utf8 /usr/share/doc/iserverd-2.5.5/isdwm-1.4.1.tar.gz
  This is obviously bogus; tarballs don't have encodings.

E: iserverd non-readable /usr/bin/db_manage.sh 0550
E: iserverd non-standard-executable-perm /usr/bin/db_manage.sh 0550
E: iserverd non-standard-executable-perm /usr/bin/convert_db.sh 0550
  I'm not sure about these; what's are they used for?  Should they be in
  /usr/libexec instead?

W: iserverd service-default-enabled /etc/rc.d/init.d/iserverd
  This shouldn't be enabled by default, but I note that you chkconfig it off in 
  %post.  I don't think you want to do that as then updates will disable the 
  server.  Better to patch the initscript if necessary.

E: iserverd-debuginfo empty-debuginfo-package
  This is bad, and frankly I don't see what's causing it.  It looks like 
  everything's being compiled with the proper compiler flags; unfortunately I 
  simply don't know enough about find-debuginfo to comprehend why it doesn't 
  find anything.

The %preun and %postun scripts are weird.    You should add the proper
dependencies on /sbin/service so you can assume it exists, and there shouldn't
be any reason not to unconditionally stop the daemon.  I'm not really sure if it
matters but you might want to stop it before calling chkconfig --del.
Comment 12 Jason Tibbitts 2008-01-19 20:20:32 EST
Any progress?  It doesn't seem that there's all that much remaining to be fixed,
although of course I have not done a full review.
Comment 13 Jason Tibbitts 2008-02-22 20:47:44 EST
It's been another month; closing this out.

Note You need to log in before you can comment on or make changes to this bug.